Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# Locale::Script

Perl 5 version 26.0 documentation
Go to top
Show page index • Show recent pages
Recently read

# Locale::Script

- NAME
- SYNOPSIS
- DESCRIPTION
- SUPPORTED CODE SETS
- ROUTINES
- SEE ALSO
- AUTHOR
- COPYRIGHT

# NAME

Locale::Script - standard codes for script identification

# SYNOPSIS

       use Locale::Script;   $script  = code2script('phnx');                     # 'Phoenician'   $code    = script2code('Phoenician');               # 'Phnx'   $code    = script2code('Phoenician',                          LOCALE_CODE_NUMERIC);        # 115   @codes   = all_script_codes();   @scripts = all_script_names();

# DESCRIPTION

This module provides access to standards codes used for identifying scripts, such as those defined in ISO 15924.

Most of the routines take an optional additional argument which specifies the code set to use. If not specified, the default ISO 15924 four-letter codes will be used.

# SUPPORTED CODE SETS

There are several different code sets you can use for identifying scripts. A code set may be specified using either a name, or a constant that is automatically exported by this module.

For example, the two are equivalent:

       $script = code2script('phnx','alpha');   $script = code2script('phnx',LOCALE_SCRIPT_ALPHA);

The codesets currently supported are:

- alpha, LOCALE_SCRIPT_ALPHA

  This is a set of four-letter (capitalized) codes from ISO 15924 such as 'Phnx' for Phoenician. It also includes additions to this set included in the IANA language registry.

  The Zxxx, Zyyy, and Zzzz codes are not used.

  This is the default code set.

- num, LOCALE_SCRIPT_NUMERIC

  This is a set of three-digit numeric codes from ISO 15924 such as 115 for Phoenician.

# ROUTINES

- code2script(CODE [,CODESET] [,'retired'])
- script2code(NAME [,CODESET] [,'retired'])
- script_code2code(CODE ,CODESET ,CODESET2)
- all_script_codes([CODESET] [,'retired'])
- all_script_names([CODESET] [,'retired'])
- Locale::Script::rename_script(CODE ,NEW_NAME [,CODESET])
- Locale::Script::add_script(CODE ,NAME [,CODESET])
- Locale::Script::delete_script(CODE [,CODESET])
- Locale::Script::add_script_alias(NAME ,NEW_NAME)
- Locale::Script::delete_script_alias(NAME)
- Locale::Script::rename_script_code(CODE ,NEW_CODE [,CODESET])
- Locale::Script::add_script_code_alias(CODE ,NEW_CODE [,CODESET])
- Locale::Script::delete_script_code_alias(CODE [,CODESET])

  These routines are all documented in the Locale::Codes::API man page.

# SEE ALSO

- Locale::Codes

  The Locale-Codes distribution.

- Locale::Codes::API

  The list of functions supported by this module.

- http://www.unicode.org/iso15924/

  Home page for ISO 15924.

- http://www.iana.org/assignments/language-subtag-registry

  The IANA language subtag registry.

# AUTHOR

See Locale::Codes for full author history.

Currently maintained by Sullivan Beck (sbeck@cpan.org).

# COPYRIGHT

       Copyright (c) 1997-2001 Canon Research Centre Europe (CRE).   Copyright (c) 2001-2010 Neil Bowers   Copyright (c) 2010-2016 Sullivan Beck

This module is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

Page index

- NAME
- SYNOPSIS
- DESCRIPTION
- SUPPORTED CODE SETS
- ROUTINES
- SEE ALSO
- AUTHOR
- COPYRIGHT